<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE cpd3data>
<cpd3data version="1.0">
    <value station="_" archive="configuration_meta" variable="ebas" flavors="" priority="0" type="metahash">
        <meta key="Description" type="string">EBAS file generation configuration</meta>

        <value key="Templates" type="metahash">
            <meta key="Description" type="string">Configuration templates</meta>
            <meta key="Editor" type="hash">
                <value key="Type" type="string">TemplateTypes</value>
                <value key="DefaultCollapsed" type="boolean">true</value>
            </meta>

            <value key="Composites" type="metahash">
                <meta key="Description" type="string">Composite header templates</meta>

                <meta key="Editor" type="hash">
                    <value key="Type" type="string">TemplateName</value>
                </meta>

                <value key="" type="metahash">
                    <meta key="TemplatePath" type="string">/Profiles/_/_/Types/_/Filename/Constant</meta>
                </value>
            </value>

            <value key="Substitutions" type="metahash">
                <meta key="Description" type="string">Substitution header templates</meta>

                <meta key="Editor" type="hash">
                    <value key="Type" type="string">TemplateName</value>
                </meta>

                <value key="" type="metahash">
                    <meta key="TemplatePath" type="string">/Profiles/_/_/Types/_/Substitutions/_</meta>
                </value>
            </value>

            <value key="Headers" type="metahash">
                <meta key="Description" type="string">EBAS header line templates</meta>

                <meta key="Editor" type="hash">
                    <value key="Type" type="string">TemplateName</value>
                </meta>

                <value key="" type="metahash">
                    <meta key="TemplatePath" type="string">/Profiles/_/_/Types/_/Headers/_</meta>
                </value>
            </value>

            <value key="Files" type="metahash">
                <meta key="Description" type="string">Whole file templates</meta>

                <meta key="Editor" type="hash">
                    <value key="Type" type="string">TemplateName</value>
                </meta>

                <value key="" type="metahash">
                    <meta key="TemplatePath" type="string">/Profiles/_/_/Types/_</meta>
                </value>
            </value>

            <value key="Type" type="metahash">
                <meta key="Description" type="string">File type templates</meta>

                <meta key="Editor" type="hash">
                    <value key="Type" type="string">TemplateName</value>
                </meta>

                <value key="" type="metahash">
                    <meta key="TemplatePath" type="string">/Profiles/_/_/Types/_</meta>
                </value>
            </value>

            <value key="Variables" type="metahash">
                <meta key="Description" type="string">Variable templates</meta>

                <meta key="Editor" type="hash">
                    <value key="Type" type="string">TemplateName</value>
                </meta>

                <value key="" type="metahash">
                    <meta key="TemplatePath" type="string">/Profiles/_/_/Types/_/Variables/_</meta>
                </value>
            </value>

            <value key="Inputs" type="metahash">
                <meta key="Description" type="string">Input data templates</meta>

                <meta key="Editor" type="hash">
                    <value key="Type" type="string">TemplateName</value>
                </meta>

                <value key="" type="metahash">
                    <meta key="TemplatePath" type="string">/Profiles/_/_/Types/_/Variables/_/Data/Input</meta>
                </value>
            </value>

            <value key="Profiles" type="metahash">
                <meta key="Description" type="string">Output profile templates</meta>

                <meta key="Editor" type="hash">
                    <value key="Type" type="string">TemplateName</value>
                </meta>

                <value key="" type="metahash">
                    <meta key="TemplatePath" type="string">/Profiles/_</meta>
                </value>
            </value>

        </value>

        <value key="Profiles" type="metahash">
            <meta key="Description" type="string">File generation profile configuration</meta>
            <meta key="Editor" type="hash">
                <value key="Type" type="string">Profile</value>
            </meta>

            <value key="" type="metahash">
                <meta key="Description" type="string">File output types</meta>
                <meta key="Editor" type="hash">
                    <value key="Type" type="string">UniqueKey</value>
                </meta>

                <value key="" type="metahash">
                    <meta key="Description" type="string">File output type configuration</meta>

                    <value key="Types" type="metahash">
                        <meta key="Description" type="string">File generation types</meta>
                        <meta key="Editor" type="hash">
                            <value key="Type" type="string">UniqueKey</value>
                        </meta>

                        <value key="" type="metahash">
                            <meta key="Description" type="string">Single output file type configuration</meta>

                            <value key="Filename" merge="@/fileoutput/ebasstringvalue.xml">
                                <meta key="Description" type="string">Output file name</meta>
                            </value>
                            <value key="Originator" merge="@/fileoutput/ebasstringvalue.xml">
                                <meta key="Description" type="string">NASA-Ames originator header value</meta>
                            </value>
                            <value key="Organization" merge="@/fileoutput/ebasstringvalue.xml">
                                <meta key="Description" type="string">NASA-Ames organization header value</meta>
                            </value>
                            <value key="Submitter" merge="@/fileoutput/ebasstringvalue.xml">
                                <meta key="Description" type="string">NASA-Ames submitter header value</meta>
                            </value>
                            <value key="Projects" merge="@/fileoutput/ebasstringvalue.xml">
                                <meta key="Description" type="string">NASA-Ames projects header value</meta>
                            </value>
                            <value key="Interval" merge="@/fileoutput/ebasstringvalue.xml">
                                <meta key="Description" type="string">NASA-Ames interval header value</meta>
                            </value>

                            <value key="Fill" type="metareal">
                                <meta key="Description" type="string">Data fill interval</meta>
                                <meta key="Format" type="string">0</meta>
                                <meta key="Units" type="string">s</meta>
                                <meta key="Editor" type="hash">
                                    <value key="Minimum" type="real">0</value>
                                    <value key="MinimumExclusive" type="boolean">true</value>
                                    <value key="AllowUndefined" type="boolean">true</value>
                                </meta>
                            </value>

                            <value key="Numflag" type="metahash">
                                <meta key="Description" type="string">EBAS numflag column settings</meta>
                                <value key="DataFlags" merge="@/common/dynamicsequenceselection.xml">
                                    <meta key="Description" type="string">Data source for explicitly set flags</meta>
                                </value>
                            </value>


                            <value key="Dependencies" type="metahash">
                                <meta key="Description" type="string">File dependency settings</meta>
                                <value key="Require" type="metaflags">
                                    <meta key="Description" type="string">Identifier tags required for the file to be generated</meta>
                                    <meta key="Editor" type="hash">
                                        <value key="Type" type="string">DependencyIdentifiers</value>
                                        <value key="AllowArbitrary" type="boolean">true</value>
                                    </meta>
                                </value>
                                <value key="Exclude" type="metaflags">
                                    <meta key="Description" type="string">Identifier tags required that prevent the file from being generated</meta>
                                    <meta key="Editor" type="hash">
                                        <value key="Type" type="string">DependencyIdentifiers</value>
                                        <value key="AllowArbitrary" type="boolean">true</value>
                                    </meta>
                                </value>
                            </value>

                            <value key="Substitutions" type="metahash">
                                <meta key="Description" type="string">String substitution inputs with the key name being the case insensitive substitution replacement</meta>
                                <meta key="Editor" type="hash">
                                    <value key="Type" type="string">UniqueKey</value>
                                </meta>

                                <value key="" merge="@/fileoutput/ebassubstitution.xml"/>
                            </value>

                            <value key="GlobalMean" type="metahash">
                                <meta key="Description" type="string">String global mean value substitution inputs with the key name being the case insensitive substitution replacement</meta>
                                <meta key="Editor" type="hash">
                                    <value key="Type" type="string">UniqueKey</value>
                                </meta>

                                <value key="" merge="@/fileoutput/ebasglobalmean.xml"/>
                            </value>

                            <value key="Headers" type="metahash">
                                <meta key="Description" type="string">EBAS header definitions</meta>
                                <meta key="Editor" type="hash">
                                    <value key="Type" type="string">UniqueKey</value>
                                </meta>

                                <value key="" merge="@/fileoutput/ebasheader.xml"/>
                            </value>

                            <value key="Variables" type="metahash">
                                <meta key="Description" type="string">Data variable sets</meta>
                                <meta key="Editor" type="hash">
                                    <value key="Type" type="string">UniqueKey</value>
                                </meta>

                                <value key="" merge="@/fileoutput/ebasheader.xml"/>
                            </value>

                        </value>
                    </value>

                    <value key="Processing" merge="@/fileoutput/processing.xml"/>
                </value>

            </value>
        </value>

    </value>
</cpd3data>
